<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.business.mapper.WeatherInfoMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="blogResultMap" type="org.springblade.business.entity.WeatherInfo">
        <result column="id" property="id"/>
        <result column="contract_area_id" property="contractAreaId"/>
        <result column="weather" property="weather"/>
        <result column="air_temp" property="airTemp"/>
        <result column="record_time" property="recordTime"/>
        <result column="temp_high" property="tempHigh"/>
        <result column="temp_low" property="tempLow"/>
        <result column="wind_level" property="windLevel"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
    </resultMap>

</mapper>